/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Caisse;


/**
 *
 * @author Maher
 */
public class Frais {
    
    public String IdFrais;
    public String Montant;
    public String Object; //titre du frais
    public String Context; // text du frais
    public String Personne;
    public String Paiement; //0 :espèce   1:Chèque    2 :carte bancaire
    public String Numero; //chèque ou carte banciare
    public String Banque;
    public String DateCheque;
    public String Profile;
    public String LocalNom;
    public String DateCreation;

    public String getIdFrais() {
        return IdFrais;
    }

    public void setIdFrais(String IdFrais) {
        this.IdFrais = IdFrais;
    }

    public String getMontant() {
        return Montant;
    }

    public void setMontant(String Montant) {
        this.Montant = Montant;
    }

    public String getObject() {
        return Object;
    }

    public void setObject(String Object) {
        this.Object = Object;
    }

    public String getContext() {
        return Context;
    }

    public void setContext(String Context) {
        this.Context = Context;
    }

    public String getPersonne() {
        return Personne;
    }

    public void setPersonne(String Personne) {
        this.Personne = Personne;
    }

    public String getPaiement() {
        return Paiement;
    }

    public String getPaiementString() {
        //0 :espèce   1:Chèque    2 :carte bancaire
        if(Paiement.equals("0")){
            return "Espèce";
        }else if(Paiement.equals("1")){
            return "Chèque";
        }else if(Paiement.equals("2")){
            return "Carte Bancaire";
        }else{
            return Paiement;
        }
    }
    
    public void setPaiement(String Paiement) {
        this.Paiement = Paiement;
    }

    public String getNumero() {
        return Numero;
    }

    public void setNumero(String Numero) {
        this.Numero = Numero;
    }

    public String getBanque() {
        return Banque;
    }

    public void setBanque(String Banque) {
        this.Banque = Banque;
    }

    public String getDateCheque() {
        return DateCheque;
    }

    public void setDateCheque(String DateCheque) {
        this.DateCheque = DateCheque;
    }

    
    public String getProfile() {
        return Profile;
    }

    public void setProfile(String Profile) {
        this.Profile = Profile;
    }

    public String getLocalNom() {
        return LocalNom;
    }

    public void setLocalNom(String LocalNom) {
        this.LocalNom = LocalNom;
    }

    public String getDateCreation() {
        return DateCreation;
    }

    public void setDateCreation(String DateCreation) {
        this.DateCreation = DateCreation;
    }
    
    
}
